Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class Phonon.Category

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.Phonon.Category

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  Phonon

    public static final class Phonon.Category

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static Phonon.Category` | `AccessibilityCategory`
`static Phonon.Category` | `CommunicationCategory`
`static Phonon.Category` | `GameCategory`
`static Phonon.Category` | `MusicCategory`
`static Phonon.Category` | `NoCategory`
`static Phonon.Category` | `NotificationCategory`
`static Phonon.Category` | `VideoCategory`

Method Summary
`static Phonon.Category` | `resolve(int value)` Returns the Category constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Phonon.Category` | `valueOf(java.lang.String name)`
`static Phonon.Category[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoCategory

    public static final Phonon.Category NoCategory

### NotificationCategory

    public static final Phonon.Category NotificationCategory

### MusicCategory

    public static final Phonon.Category MusicCategory

### VideoCategory

    public static final Phonon.Category VideoCategory

### CommunicationCategory

    public static final Phonon.Category CommunicationCategory

### GameCategory

    public static final Phonon.Category GameCategory

### AccessibilityCategory

    public static final Phonon.Category AccessibilityCategory

Method Detail

### values

    public static Phonon.Category[] values()

### valueOf

    public static Phonon.Category valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Phonon.Category resolve(int value)

  Returns the Category constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD